summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2019-07-05 20:07:31 -0400
committerCraig Andrews <candrews@gentoo.org>2019-07-05 20:40:55 -0400
commitebfc5784e89e4a9719a9e2aeddc2f863459bcaa6 (patch)
tree5e064b78c2e7fc9ca5e6e69729859777cc5596b1 /dev-perl
parentprofiles: mask some flags of doxygen on riscv (diff)
downloadgentoo-ebfc5784e89e4a9719a9e2aeddc2f863459bcaa6.tar.gz
gentoo-ebfc5784e89e4a9719a9e2aeddc2f863459bcaa6.tar.bz2
gentoo-ebfc5784e89e4a9719a9e2aeddc2f863459bcaa6.zip
dev-perl/Conf-Libconfig: Perl extension for libconfig
Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Craig Andrews <candrews@gentoo.org>
Diffstat (limited to 'dev-perl')
-rw-r--r--dev-perl/Conf-Libconfig/Conf-Libconfig-0.100.ebuild27
-rw-r--r--dev-perl/Conf-Libconfig/Manifest1
-rw-r--r--dev-perl/Conf-Libconfig/metadata.xml12
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-perl/Conf-Libconfig/Conf-Libconfig-0.100.ebuild b/dev-perl/Conf-Libconfig/Conf-Libconfig-0.100.ebuild
new file mode 100644
index 00000000000..d657ab31449
--- /dev/null
+++ b/dev-perl/Conf-Libconfig/Conf-Libconfig-0.100.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR="CNANGEL"
+DIST_VERSION="0.100"
+
+inherit perl-module
+
+DESCRIPTION="Perl extension for libconfig"
+
+LICENSE="|| ( Artistic GPL-1 GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="dev-libs/libconfig
+ virtual/perl-XSLoader"
+DEPEND="${RDEPEND}
+ dev-perl/ExtUtils-PkgConfig
+ test? (
+ dev-perl/Test-Pod
+ >=dev-perl/Test-Exception-0.430.0
+ >=dev-perl/Test-Deep-1.127.0
+ >=dev-perl/Test-Warn-0.320.0
+ )"
diff --git a/dev-perl/Conf-Libconfig/Manifest b/dev-perl/Conf-Libconfig/Manifest
new file mode 100644
index 00000000000..f73fae83a53
--- /dev/null
+++ b/dev-perl/Conf-Libconfig/Manifest
@@ -0,0 +1 @@
+DIST Conf-Libconfig-0.100.tar.gz 47742 BLAKE2B c41ae5722d4e657121457ae0c8f8ec5daa10644ade5ec42999edbbe0140440ebbe3e0ec77c9bad7e8afc516a56771cc176bd4421f50a59d34e0b8ed00a196073 SHA512 52f652bd55131b0357aae6cc8f83811a4ceb5ec005977765ed70e5cb08f828c789d8bcbe247880c1807110b5486915dc90f84d52263b2e7f60adb2ee4654d2a3
diff --git a/dev-perl/Conf-Libconfig/metadata.xml b/dev-perl/Conf-Libconfig/metadata.xml
new file mode 100644
index 00000000000..bf0bb0013d5
--- /dev/null
+++ b/dev-perl/Conf-Libconfig/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>candrews@gentoo.org</email>
+ <name>Craig Andrwes</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpan">Conf-Libconfig</remote-id>
+ <remote-id type="cpan-module">Config::Libconfig</remote-id>
+ </upstream>
+</pkgmetadata>